MODLOGAN(1)

NAME
modlogan - a modular log file analyzer

SYNOPSIS

modlogan
    [ -c configfile ] [ -r ] [ -u username ]
    [ -h | --help ] [ -v | --version ]

DESCRIPTION
Modlogan is a modular logfile anaylizer. It is designed to have variable input, processing and output modules to give one a good flexiblity.

The input modules parse the logfiles. The processor modules summarize the various data elements of a log file and is handed to the output module which makes in most cases a pretty webpage showing all the results.

So far there the following input modules supported: bsdftpd, clf, elmeg, flow, flowraw, hicom116, ipchains, isdn4bsd isdnlog, msiis, msmedia, netscape, pureftpd, qmail, qmailscanner, qtss, realserver, sendmail, shoutcast, squid, wuftpd (also includes lgofiles from proftpd and the like).

The following processor modules are supported: accounting, mail, telecom, web.

And finally the output modules : csv, modlogan, template, tkcontrol, text, webalizer

OPTIONS

-c configfile
    Specify another configuration file than the default /etc/modlogan/modlogan.conf

-r  It is note recommened to run modlogan as root. By default this is not permitted. If you still want to run it as root you have to use this option.

-u username
    If you want to run modlogan as a specific user, you can use this option. In order to use this function you have to combine it with the -r command line switch.

-h, --help
    Shows the help text of the program and exits.

-v, --version
    Shows the version number of the program and exits.

FILES

/etc/modlogan/modlogan.conf
    This is the name and location of the default configuration file.

modlogan.def.conf
    This file contains the default settings for all the necessary options that modlogan can function.

group.*.conf
    These files contain regular expressions to group certain aspects of a logfile under a common term, like operating system, user agent, etc.

match.*.conf
    These configuration files also contain regular expressions to match a certain aspect of a logfile.

ignore.searchengines.conf
    This is a blacklist for all the known searchengines to filter them out from the logfiles.

AUTHOR
The program was written by Jan Kneschke <jan@kneschke.de>. This manual page was written by Othmar Pasteka <othmar@debian.org>.

SEE ALSO
If you want further information about modlogan, see the modlogan web site at <http://jan.kneschke.de/projects/modlogan/>.